DROP TABLE CRST_CE_STMT_HEADERS_INT_ALL;

CREATE TABLE CRST_CE_STMT_HEADERS_INT_ALL
(
  STATEMENT_NUMBER       VARCHAR2(50)           NOT NULL,
  BANK_ACCOUNT_NUM       VARCHAR2(30)           NOT NULL,
  STATEMENT_DATE         DATE                   NOT NULL,
  BANK_NAME              VARCHAR2(60),
  BANK_BRANCH_NAME       VARCHAR2(60),
  CONTROL_BEGIN_BALANCE  NUMBER,
  CONTROL_TOTAL_DR       NUMBER,
  CONTROL_TOTAL_CR       NUMBER,
  CONTROL_END_BALANCE    NUMBER,
  CONTROL_DR_LINE_COUNT  NUMBER,
  CONTROL_CR_LINE_COUNT  NUMBER,
  CONTROL_LINE_COUNT     NUMBER,
  RECORD_STATUS_FLAG     VARCHAR2(1),
  CURRENCY_CODE          VARCHAR2(15),
  CREATED_BY             NUMBER,
  CREATION_DATE          DATE,
  ATTRIBUTE_CATEGORY     VARCHAR2(30),
  ATTRIBUTE1             VARCHAR2(150),
  ATTRIBUTE2             VARCHAR2(150),
  ATTRIBUTE3             VARCHAR2(150),
  ATTRIBUTE4             VARCHAR2(150),
  ATTRIBUTE5             VARCHAR2(150),
  ATTRIBUTE6             VARCHAR2(150),
  ATTRIBUTE7             VARCHAR2(150),
  ATTRIBUTE8             VARCHAR2(150),
  ATTRIBUTE9             VARCHAR2(150),
  ATTRIBUTE10            VARCHAR2(150),
  ATTRIBUTE11            VARCHAR2(150),
  ATTRIBUTE12            VARCHAR2(150),
  ATTRIBUTE13            VARCHAR2(150),
  ATTRIBUTE14            VARCHAR2(150),
  ATTRIBUTE15            VARCHAR2(150),
  LAST_UPDATED_BY        NUMBER,
  LAST_UPDATE_DATE       DATE,
  ORG_ID                 NUMBER(15),
  CHECK_DIGITS           VARCHAR2(30),
  CASHFLOW_BALANCE       NUMBER,
  INT_CALC_BALANCE       NUMBER,
  INTRA_DAY_FLAG         VARCHAR2(1)
);